icegridregistry(1)

NAME
icegridregistry - The IceGrid registry server.

SYNOPSIS
icegridregistry [options] [command...]

DESCRIPTION
The IceGrid registry is a centralized repository of information, including deployed applications and well-known objects. A registry can optionally be collocated with an IceGrid node, which conserves resources and can be convenient during development and testing. The registry server is implemented by the icegridregistry executable. Full documentation for icegridregistry is available online at:
https://doc.zeroc.com/ice/3.6/ice-services/icegrid/icegrid-server-reference/icegridregistry

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the Ice version.

--daemon
    Run as a daemon.

--pidfile FILE
    Write process ID into FILE.

--noclose
    Do not close open file descriptors.

--nochdir
    Do not change the current working directory.

--nowarn
    Do not print security warnings.

--readonly
    Start the master registry in read-only mode.

SEE ALSO
icegridadmin(1), icegridnode(1)